Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006481opensim[REGION] Physics Enginespublic2012-12-28 17:212014-07-29 13:42
Reportercmickeyb 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Versionmaster (dev code) 
Summary0006481: BulletSim - llMoveToTarget does not work
DescriptionllMoveToTarget does not change the position of an object in bulletsim.
Steps To Reproducefloat ang = 0;
integer status = 0;
default
{
    state_entry()
    {
        llSay(0,"started");
    }
    
    touch_start(integer i)
    {
        if (status == 0)
        {
            llSetStatus(STATUS_PHYSICS, TRUE);
            llSetBuoyancy(1.0);
        
            llSetTimerEvent(5.0);
            status = 1;
        }
        else
        {
            llSetStatus(STATUS_PHYSICS, FALSE);
            llSetTimerEvent(0.0);
            
            status = 0;
        }
        
        llSetPos(<128.0,128.0,75.0>);
    }
    
    timer()
    {
        ang += PI/8.0;
        vector pos = <128.0, 128.0, 75.0> + <llCos(ang)*20.0, llSin(ang)*20.0, 0.0>;
        llOwnerSay("position = " + (string)pos);
        llMoveToTarget(pos,0.4);
    }

}
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0023430)
Robert Adams (administrator)
2013-01-21 09:23

things now move to the target. llMoveToRotationalTarget is now working yet.

- Issue History
Date Modified Username Field Change
2012-12-28 17:21 cmickeyb New Issue
2012-12-28 17:21 cmickeyb Status new => assigned
2012-12-28 17:21 cmickeyb Assigned To => Robert Adams
2012-12-28 17:24 nebadon Summary BulletSim: llMoveToTarget does not work => BulletSim - llMoveToTarget does not work
2013-01-21 09:23 Robert Adams Note Added: 0023430
2013-01-21 09:23 Robert Adams Status assigned => resolved
2013-01-21 09:23 Robert Adams Fixed in Version => master (dev code)
2013-01-21 09:23 Robert Adams Resolution open => fixed
2014-07-29 13:42 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker